Mapper::MapperOutputRecordIterator Class Reference

Output record iterator for Mapper objects with an input data provider. More...

Inherits AbstractDataProviderRecordIterator.

## Public Member Functions

| constructor (Mapper mapper, AbstractDataProvider input, *hash< auto > where_cond, *hash< auto > search_options)
| Creates the object from the arguments.
hash< auto > | getValue ()
| Returns the mapped value of the current input record.
bool | next ()
| Moves the current position to the next element; returns False if there are no more elements.
bool | valid ()
| Returns True if the iterator is currently pointing at a valid element, False if not.

## Protected Attributes

AbstractDataProviderRecordIterator | i
| the input data provider
Mapper | mapper
| the mapper

## Detailed Description

Output record iterator for Mapper objects with an input data provider.